import axios from 'axios';
import { camelizeKeys } from 'humps';
import { ResponseProps } from './ResponseProps';

export const getSeniorList = async (name: string): Promise<ResponseProps[]> =>
  axios
    .get(`/api/web/seniors/by_name/${name}?fields=user,id,member_card_number`)
    .then((res) => camelizeKeys(res.data) as ResponseProps[]);
