import axios from 'axios';
import { camelizeKeys } from 'humps';
import { ResponseProps } from './ResponseProps';

export const getSeniorListByCard = async (
  card: number,
): Promise<ResponseProps[]> =>
  axios
    .get(
      `/api/web/seniors/by_member_card/${card}?fields=user,id,member_card_number`,
    )
    .then((res) => camelizeKeys(res.data) as ResponseProps[])
    .catch(() => [] as ResponseProps[]);
